import { NgModule, Component } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { GuestAreaComponent } from './guest-area/guest-area.component';
import { LoginComponent } from './login/login.component';
import { UsersAreaComponent } from './users-area/users-area.component';
import { AuthGuard } from './auth.guard';


const routes: Routes = [
  {path :'' , component : GuestAreaComponent},
  {path: 'login', component : LoginComponent },
  {path: 'users', component: UsersAreaComponent, canActivate:[AuthGuard]}
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
